"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = logEvents;

var _stratocacher = require("stratocacher");

var _constants = require("./constants");

var _logging = require("./logging");

var logger = (0, _logging.getLogger)();

function logEvents() {
	_stratocacher.events.on('error', function (err) {
		return logger.error(err);
	});
	_stratocacher.events.on('time', function (_ref) {
		var name = _ref.name,
		    type = _ref.type,
		    time = _ref.time;

		if (name === _constants.CACHE_NAME) {
			logger.time("stats." + type, time);
		}
	});
}